LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XDataFormatTranslator Interface Referencepublished

Interface to be implemented by objects used to translate a DataFlavor to a system dependent data transfer type and vice versa. More...

`import"XDataFormatTranslator.idl";`

Inheritance diagram for XDataFormatTranslator:

## Public Member Functions
any | getSystemDataTypeFromDataFlavor ([in] DataFlavor aDataFlavor)
| Converts a DataFlavor to system dependent data type. More...
DataFlavor | getDataFlavorFromSystemDataType ([in] any aSysDataType)
| Converts a system dependent data type to a DataFlavor. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface to be implemented by objects used to translate a DataFlavor to a system dependent data transfer type and vice versa.

Different platforms use different types to describe data formats available during data exchange operations like clipboard or drag&drop. Windows for instance uses integer values to describe an available clipboard or drag&drop format, Unix X11 uses so called Atoms etc.

## Member Function Documentation

## ◆ getDataFlavorFromSystemDataType()

DataFlavor getDataFlavorFromSystemDataType | ( | [in] any | aSysDataType | ) |

Converts a system dependent data type to a DataFlavor.

Parameters

  aSysDataType | A system dependent data type. If aSysDataType is empty so is the returned DataFlavor.

Returns
  A DataFlavor for the given system dependent data transfer type.

If there is no appropriate mapping for a system dependent data type, the returned DataFlavor will be empty.

## ◆ getSystemDataTypeFromDataFlavor()

any getSystemDataTypeFromDataFlavor | ( | [in] DataFlavor | aDataFlavor | ) |

Converts a DataFlavor to system dependent data type.

Parameters

  aDataFlavor | Describes the format for which a system dependent data types is requested.

Returns
  A system dependent data transfer type for the given DataFlavor if there is one available.

If the is no system dependent data type for a given DataFlavor the returned any is empty.

The documentation for this interface was generated from the following file:

- com/sun/star/datatransfer/XDataFormatTranslator.idl